# ProblemDefinition

@Incubating
interface ProblemDefinition

Represents a problem definition.

#### Since

8.9

## Functions

getDocumentationLink
Link copied to clipboard
@Nullable
abstract fun getDocumentationLink(): @Nullable DocumentationLink
A link to the documentation for this problem.
getId
Link copied to clipboard
abstract fun getId(): ProblemId
The id of the problem.
getSeverity
Link copied to clipboard
abstract fun getSeverity(): Severity
Problem severity.